/cornercuts
{ % draw short lines at corners of page image area
  initgraphics
  newpath clippath pathbbox       % push LLx LLy URx URy
     /URy exch def
     /URx exch def
     % don't use LLx LLy because they don't allow for margin setting
     pop pop
  newpath                         % remove clipping path
     % line length = 10pt
      URx URy moveto   -10   0  rlineto
      URx URy moveto     0 -10  rlineto
      0   0   moveto    10   0  rlineto
      0   0   moveto     0  10  rlineto
      0   URy moveto    10   0  rlineto
      0   URy moveto     0 -10  rlineto
      URx 0   moveto   -10   0  rlineto
     URx 0   moveto     0  10  rlineto
     0.2 setlinewidth
  stroke
} def


/@cutmarks { cornercuts } def

% Redefine userdict showpage to first call @cutmarks, then showpage
% from systemdict, then a thin blank page to separate job pages:

/showpage
{ @cutmarks                                % draw any cut marks
  systemdict /showpage get exec            % show current page
  statusdict begin pageparams end          % get width height margin orientation
  /oldorientation exch def
  /oldmargin exch def
  /oldheight exch def
  /oldwidth exch def                       % save current page setups
  /old#copies #copies def                  % save current #copies
  /#copies 1 def                           % only print 1 gap page
  statusdict begin
     842 18 0 1 setpageparams              % 18pt = .25" gap
  end
  systemdict /showpage get exec            % show gap page
%  /@oldpagecount @oldpagecount 1 add def   % increment @oldpagecount
  oldwidth
  oldheight
  oldmargin
  oldorientation
  statusdict begin setpageparams end       % restore saved page setup
  /#copies old#copies def                  % restore saved #copies
} def
